﻿// Описание интерфейсов работы с документами
:iface IPersistableDocument {39D1961C-1881-4E3F-8453-16AD0A648B05}
:virt
	void save(IUnknown@ file)
	void load(IUnknown@ file)

:iface IDocument {425EE300-9DD3-11d4-84AE-008048DA06DF}
:base IPersistableDocument
:virt
	save uint createView(IUnknown@&out)
	void enumAllViews(Vector& views)
	+1
	bool isModified()
	bool canClose()
	+1
	v8string getTitle()
	void setTitle(const v8string&in title)
	void setConfigMode(bool configMode)
	bool getConfigMode()
    void getKey(v8string&out key)
    const URL& url()
    const Guid& getKind()
	void setReadOnly(bool bFlag)
	bool getReadOnly()
